Bug 1696437 - ConversionHost model is missing validations
Summary: ConversionHost model is missing validations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1695797
Blocks: 1700461
TreeView+ depends on / blocked
 
Reported: 2019-04-04 20:25 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
4 users (show)

Fixed In Version: 5.10.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1695797
Environment:
Last Closed: 2019-05-21 05:46:54 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:01 UTC

Comment 2 CFME Bot 2019-04-24 19:47:05 UTC
New commits detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/6e595db3ff47f30cd8698920ae23dbeda746435f
commit 6e595db3ff47f30cd8698920ae23dbeda746435f
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Mar  7 16:30:19 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Mar  7 16:30:19 2019 -0500

    Merge pull request #18516 from djberg96/conversion_host_validations

    Default to resource name for conversion hosts

    (cherry picked from commit 297f4c22abbc1dcf98b3b4e9bc2337bcf3acb9be)

    https://bugzilla.redhat.com/show_bug.cgi?id=1696437
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1693715

 app/models/conversion_host.rb | 8 +
 spec/models/conversion_host_spec.rb | 11 +
 2 files changed, 19 insertions(+)


https://github.com/ManageIQ/manageiq/commit/0226e358532b87305da181aaae72d9853d4034df
commit 0226e358532b87305da181aaae72d9853d4034df
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Mar 28 20:44:55 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Mar 28 20:44:55 2019 -0400

    Merge pull request #18604 from djberg96/conversion_host_base_class

    Conversion host base class

    (cherry picked from commit 799d2c5992ae6a9a13931dbd7213c540007c1458)

    https://bugzilla.redhat.com/show_bug.cgi?id=1696437
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1696447

 app/models/conversion_host.rb | 2 +
 app/models/conversion_host/configurations.rb | 2 +-
 spec/models/conversion_host/configurations_spec.rb | 2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

Comment 3 CFME Bot 2019-04-24 19:48:42 UTC
New commits detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/47d0ef9ab752a565f4fb7b67741a0dce909aa834
commit 47d0ef9ab752a565f4fb7b67741a0dce909aa834
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Dec 11 14:15:21 2018 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Dec 11 14:15:21 2018 -0500

    Merge pull request #18277 from djberg96/conversion_host_validations2

    Add ConversionHost validations

    (cherry picked from commit c6174684c548dc78120ab21ff2725d8f00a70bec)

    https://bugzilla.redhat.com/show_bug.cgi?id=1696437

 app/models/conversion_host.rb | 22 +-
 spec/models/conversion_host_spec.rb | 10 +-
 spec/models/service_template_transformation_plan_task_spec.rb | 2 +-
 3 files changed, 23 insertions(+), 11 deletions(-)


https://github.com/ManageIQ/manageiq/commit/376bc43b6badf0006f13b74b7cd1f0c6af17ee65
commit 376bc43b6badf0006f13b74b7cd1f0c6af17ee65
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Feb 11 10:43:25 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Mon Feb 11 10:43:25 2019 -0500

    Merge pull request #18434 from djberg96/conversion_host_resource_type_validation

    Change ConversionHost resource_type validation

    (cherry picked from commit 6ecc88399feb70a837684dd047aea08e33b48709)

    https://bugzilla.redhat.com/show_bug.cgi?id=1696437

 app/models/conversion_host.rb | 16 +-
 spec/models/conversion_host/configurations_spec.rb | 4 +-
 spec/models/conversion_host_spec.rb | 30 +-
 spec/models/service_template_transformation_plan_request_spec.rb | 6 +-
 spec/models/service_template_transformation_plan_task_spec.rb | 10 +-
 5 files changed, 49 insertions(+), 17 deletions(-)

Comment 4 CFME Bot 2019-04-25 13:25:58 UTC
New commits detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/564d170024abf429bfd394f5fa9c61572de1c5ed
commit 564d170024abf429bfd394f5fa9c61572de1c5ed
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Jan 23 11:19:02 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed Jan 23 11:19:02 2019 -0500

    Merge pull request #18381 from djberg96/conversion_host_validations_fix

    Fix address validation for ConversionHost model

    (cherry picked from commit 45d836b9a62836781bce7af50f5cb059b934b1d5)

    https://bugzilla.redhat.com/show_bug.cgi?id=1696437

 app/models/conversion_host.rb | 4 +-
 spec/models/conversion_host_spec.rb | 29 +
 2 files changed, 31 insertions(+), 2 deletions(-)


https://github.com/ManageIQ/manageiq/commit/0c99f2223eb9b5020ac448f4fa80290c2d3d9d89
commit 0c99f2223eb9b5020ac448f4fa80290c2d3d9d89
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Apr  4 15:57:05 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Apr  4 15:57:05 2019 -0400

    Merge pull request #18610 from djberg96/conversion_host_address_validation

    [V2V] Allow the ConversionHost#address field to be empty

    (cherry picked from commit 81a9ecaa36f2fd707092047716cafe4c217be158)

    https://bugzilla.redhat.com/show_bug.cgi?id=1696437

 app/models/conversion_host.rb | 3 +-
 spec/models/conversion_host_spec.rb | 5 +
 2 files changed, 7 insertions(+), 1 deletion(-)

Comment 5 CFME Bot 2019-04-26 12:31:26 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/716845cb5a0b57fe9ea29c80f8083657a2a892c9
commit 716845cb5a0b57fe9ea29c80f8083657a2a892c9
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Fri Apr 26 08:00:14 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Fri Apr 26 08:00:14 2019 -0400

    Merge pull request #18690 from djberg96/fix_conversion_host_address_validation

    [V2V] Fix allowing address to be blank for the ConversionHost model, and update spec.

    (cherry picked from commit afe8714e54164b619dbd3b8436f9e67b73f3a06f)

    https://bugzilla.redhat.com/show_bug.cgi?id=1696437

 app/models/conversion_host.rb | 2 +-
 spec/models/conversion_host_spec.rb | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

Comment 6 Shveta 2019-05-01 21:12:15 UTC
Fixed in 5.10.4.1.20190430152139_40a1d86.

Comment 8 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.